Skip to main content
GET
/
v1
/
metrics
/
dex-revenue-usd
Dex Revenue Usd
curl --request GET \
  --url https://api.blockworks.com/v1/metrics/dex-revenue-usd \
  --header 'x-api-key: <api-key>'
{
  "projectName": [
    {
      "date": "2025-08-10",
      "value": 123456.789
    },
    {
      "date": "2025-08-11",
      "value": 234567.89
    },
    {
      "date": "2025-08-12",
      "value": 345678.901
    }
  ]
}

Overview

  • Denomination: USD
  • Type: USD Value
  • Interval: Daily
  • Source: Blockworks

Example Request

curl -H "x-api-key: YOUR_API_KEY" \
  "https://api.blockworks.com/v1/metrics/dex-revenue-usd?project=balancer"

Example Response

{
  "balancer": [
    {
      "date": "2026-03-22",
      "value": 0
    },
    {
      "date": "2026-03-21",
      "value": 0
    },
    {
      "date": "2026-03-20",
      "value": 0
    },
    {
      "date": "2026-03-19",
      "value": 0
    },
    {
      "date": "2026-03-18",
      "value": 0
    }
  ]
}

Notes

  • Intervals are daily unless otherwise noted.
  • Data is updated daily and may be revised after late-arriving data.

Authorizations

x-api-key
string
header
required

Query Parameters

project
enum<string>
required

Project slug (comma-separated for multiple).

Available options:
0x-protocol,
1inch,
aerodrome-finance,
airswap,
alien-base,
alphaq,
apebond,
aquifer,
balancer,
bancor-network,
baseswap,
bisonfi,
biswap,
blackhole,
byreal,
camelot-token,
curve-dao,
dodo,
ekubo-protocol,
euler,
fluid,
gmx,
goonfi,
goosefx,
hashflow,
humidifi,
joe,
lifinity,
manifest-dex,
maverick-protocol,
meteora,
nominex,
obric,
orca,
pancakeswap,
phoenix-dex,
platypus-finance,
pumpswap,
ramses-exchange,
raydium,
solfi,
solidly,
stabble,
sushi,
tessera,
uniswap,
velodrome-finance,
zerofi
Example:

"0x-protocol"

start_date
string<date>

Start date (YYYY-MM-DD)

end_date
string<date>

End date (YYYY-MM-DD)

Response

OK

{key}
object[]